Bug 871128 - llvm-config --libs missing library
llvm-config --libs missing library
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Development
13.2 Milestone 0
All openSUSE 13.2
: P5 - None : Normal (vote)
: ---
Assigned To: Ismail Dönmez
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-31 09:55 UTC by Andreas Schwab
Modified: 2015-01-28 18:18 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schwab 2014-03-31 09:55:49 UTC
libLLVMSupport.a depends on the termcap libraries, but llvm-config --libs fails to mention it.  That breaks building Mesa on ppc64.

[  614s] /home/abuild/rpmbuild/BUILD/llvm/lib/Support/Process.cpp:(.text+0xcd4): undefined reference to `setupterm'
Comment 1 Dinar Valeev 2014-09-29 11:58:16 UTC
should be fixed by adding ncurses-devel and llvm 3.5. Submitting the fix to the devel project
Comment 2 Ismail Dönmez 2015-01-28 18:18:58 UTC
Should be fixed now.